JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
ThreadPoolJob Member List

This is the complete list of members for ThreadPoolJob, including all inherited members.

addListener(Thread::Listener *) | ThreadPoolJob |
getCurrentThreadPoolJob() | ThreadPoolJob | static
getJobName() const | ThreadPoolJob |
isRunning() const noexcept | ThreadPoolJob |
jobHasFinished enum value | ThreadPoolJob |
jobNeedsRunningAgain enum value | ThreadPoolJob |
JobStatus enum name | ThreadPoolJob |
removeListener(Thread::Listener *) | ThreadPoolJob |
runJob()=0 | ThreadPoolJob | pure virtual
setJobName(const String &newName) | ThreadPoolJob |
shouldExit() const noexcept | ThreadPoolJob |
signalJobShouldExit() | ThreadPoolJob |
ThreadPoolJob(const String &name) | ThreadPoolJob | explicit
~ThreadPoolJob() | ThreadPoolJob | virtual